<?
  ### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
  ######################################################################################################################

  if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
  } else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
  }

  $tickets = mysql_fetch_array( mysql_query( "SELECT * FROM tickets WHERE id = '".( int ) $_GET['id']."'" ) );

  mysql_query( "UPDATE tickets SET status = '3' WHERE id = '" . $tickets['id'] . "' and status = '1'" );

  if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
		<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
		<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
	  </div>';
  } else {
    if($tickets['iduser'] != $_SESSION['iduser']) {
	  echo '<div style="margin-left: -10px;" class="alert alert-danger alert-dismissible fade in" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
		<p style="font-size: 14px;">Тикет не найден или принадлежит не Вам! Для возвращения на предыдущую страницу нажмите <a class="a_link" href="/support" >здесь</a>.</p>
	  </div>';
    } else {
	  
	  include_once ROOT_DIR . '/modules/tickets/menu.php';
	  ?>
		<script type="text/javascript">
		  function mesagetiks() {
		    $.ajax({
			  type: 'POST',
			  url: 'ajax.php?func=mesagetiks',
			  data: ({id: <?=$tickets['id']?>, text: $('#text').val()}),
			  dataType: 'html',
			  success: function(data) {
			    if(data == 1) {
				  location.reload();
			    } else {
				  $('.erroralert').fadeIn(500).html('<b>Произошла ошибка</b>. '+data);
				  setTimeout(function() {
					  $('.erroralert').fadeOut(500).html('&nbsp;');
				  }, 4000);
				
			    }
			  }
		    });
		    return false;
		  }
		  
		  $(document).ready(function() {
		    if (navigator.userAgent.indexOf("Firefox") > 0) {
		      $('.wrap_read_tiket').animate({scrollTop:10000000000001}, 0);
		    } else {
		      $('.wrap_read_tiket').scrollTop(1000000000000);
		    }
		    $('#msgtext').focus();
		    reloadpage.leftprofiles();
		  
		    $('.bb-b-forum').tipTip({defaultPosition:'right'});
		    $('.bb-i-forum').tipTip({defaultPosition:'right'});
		    $('.bb-u-forum').tipTip({defaultPosition:'right'});
		    $('.bb-s-forum').tipTip({defaultPosition:'right'});
		    $('.bb-sub-forum').tipTip({defaultPosition:'right'});
		    $('.bb-sup-forum').tipTip({defaultPosition:'right'});
		    $('.bb_quotet').tipTip({defaultPosition:'right'});
		    $('.bb_youtube').tipTip({defaultPosition:'right'});
		    $('.bb_link').tipTip({defaultPosition:'right'});
		  });
		
		  function descchange(elem) {
		    if (elem.value.length > 3000) {
		      elem.value = elem.value.substr(0,3000);
		    }
		    $('#allmsgtiket').html(3000-elem.value.length);
	      }
			
		</script>
		<div class="content_bar">
		  <article class="postBox">
			<div class="wrap_read_tiket" >
			<?
			  $tickets_mesage = mysql_query("SELECT * FROM tickets_dialog WHERE ident = '" . $tickets['ident'] . "' ORDER BY time ASC");
			  while ($tickets_mesage_row = mysql_fetch_array($tickets_mesage)) {
				
				#формируем дату сообщения
				$month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
				
				if ( date( 'd.m.Y', $tickets_mesage_row['time'] ) == date( 'd.m.Y', time() ) ) {
				  $mess_time = 'сегодня в ' . date( 'H:i', $tickets_mesage_row['time'] );
				} else
				if ( date( 'd.m.Y', $tickets_mesage_row['time'] ) == date( 'd.m.Y', time() - 86400 ) ) {
				  $mess_time = 'вчера в ' . date( 'H:i', $tickets_mesage_row['time'] );
				} else {
				  $mess_time = ( int ) date( 'd', $tickets_mesage_row['time'] ) . ' ' . $month[( int ) date( 'm', $tickets_mesage_row['time'] ) - 1] . ' ' . date( 'Y', $tickets_mesage_row['time'] )  . ' в ' . date( 'H:i', $tickets_mesage_row['time'] );
				}
				
				  if($tickets_mesage_row['iduser'] == 0) {
					?>
					  <div class="wrap_in_mess">
					    <div class="in_mess_text_support">
					      <?=$tickets_mesage_row['message']?>
					      <div class="time_mess_msg"><?=$mess_time?></div>
					    </div>
					    <div class="pred-mail-msg-ava">
					      <img src="/theme/images/avatar_support.png" width="45" height="45" class="img-circle" alt="" />
					    </div>
				      </div>
					<?
				  } else {
					?>
					  <div class="wrap_in_mess">
					    <div class="pred-mail-msg-ava-user">
					      <img src="/temp/avatar/<?=$config_user['avatar']?>" width="45" height="45" class="img-circle" alt="" />
					    </div>
					    <div class="in_mess_text_support_user">
					      <?=$tickets_mesage_row['message']?>
					      <div class="time_mess_msg"><?=$mess_time?></div>
					    </div>
					  </div>
					<?
				  }
					
			  }
			?>
			</div>
			
			<div style="margin: 0 0 0 20px;">
			  <div class="form-group">
			    <div class="bbcode-panel-support ">
				  <span onclick="qbb('[b]','[/b]','text')" id="bb_b" title="Полужирный" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
				  <span onclick="qbb('[i]','[/i]','text')" id="bb_i" title="Наклонный" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
				  <span onclick="qbb('[u]','[/u]','text')" id="bb_u" title="Подчеркнутый" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
				  <span onclick="qbb('[s]','[/s]','text')" id="bb_s" title="Зачеркнутый" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
				  <span onclick="qbb('[sub]','[/sub]','text')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
				  <span onclick="qbb('[sup]','[/sup]','text')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
				  <span onclick="qbb('[a]','[/a]','text')" class="bb_link" id="video" title="Вставить ссылку"><i class="fa fa-link" aria-hidden="true"></i></span>
				  <span onclick="forum.ShowSmilesText();" class="bb_quotet" id="" title=""><i class="fa fa-smile-o" aria-hidden="true"></i><div class="wrap_smiles" ></div></span>
				  <span onclick="qbb('[video]','[/video]','text')" class="bb_youtube" id="video" title="Вставить видео (поддерживаются видео с таких сервисов как – youtube, vk, facebook, rutube, mail.ru и другие.  Просто вставьте ссылку на видео, в теги video)."><i class="fa fa-youtube-play" aria-hidden="true"></i></span>
				  <span onclick="qbb('[images]','[/images]','text')" class="bb_youtube" id="images_forum_post" title="Вставить изображение (поддерживаются форматы jpg/png/bmp/gif)."><i class="fa fa-picture-o" aria-hidden="true"></i></span>
				  <div id="allmsgtiket" class="allmsgtiket">3000</div>
			    </div>
			    <textarea class="form-control" style="width: 677px; height: 100px; margin-top: 8px; padding-top: 41px;" id="text" onkeyup="descchange(this);"></textarea>
			  </div>
			  <a href="" class="btn_box" onclick="mesagetiks(); return false;">Отправить ответ</a>
			</div>
			<br/>
		  </article>
        </div>	
		
      <? 
    } 
  } 
?>